///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Five, pencil-and-paper - question 4 [worth 1pt],  7/16/2002
//
//  For the Rational class described in lecture, overload the <= operator
//


class Rational
{
	private:
		int numerator;
		int denominator;
		// ...
	
	public:
	
		Bool operator<= (Rational fst, Rational scnd)
		{
			if ( (fst.numerator == fst.denominator) &&		// ensure = works
			     (scnd.numerator == scnd.denominator) ) {
			     return true;
			} else if ( (fst.numerator / (float) fst.denominator) <= 
			    	    (scnd.numerator / (float) scnd.denominator) ) {
				return true;
			}
			else { 
				return false;
			}
		}
};



